## r-bioc-glmgampoi 1.2.0%2Bdfsg

=== DESCRIPTION ===
Package: glmGamPoi
Type: Package
Title: Fit a Gamma-Poisson Generalized Linear Model
Version: 1.2.0
Authors@R: c(person("Constantin", "Ahlmann-Eltze", email = "artjom31415@googlemail.com", 
                    role = c("aut", "cre"), comment = c(ORCID = "0000-0002-3762-068X")),
             person("Michael", "Love", email="michaelisaiahlove@gmail.com", role = "ctb"))
Description: Fit linear models to overdispersed count data.
     The package can estimate the overdispersion and fit repeated models
     for matrix input. It is designed to handle large input datasets as they
     typically occur in single cell RNA-seq experiments.
License: GPL-3
Encoding: UTF-8
SystemRequirements: C++11
Suggests: testthat (>= 2.1.0), zoo, DESeq2, edgeR, limma, beachmat,
        MASS, statmod, ggplot2, bench, BiocParallel, knitr, rmarkdown,
        BiocStyle, TENxPBMCData, scran
LinkingTo: Rcpp, RcppArmadillo, beachmat
Imports: Rcpp, DelayedMatrixStats, matrixStats, DelayedArray,
        HDF5Array, SummarizedExperiment, methods, stats, utils, splines
Roxygen: list(markdown = TRUE)
RoxygenNote: 7.1.0
URL: https://github.com/const-ae/glmGamPoi
BugReports: https://github.com/const-ae/glmGamPoi/issues
biocViews: Regression, RNASeq, Software, SingleCell
VignetteBuilder: knitr
git_url: https://git.bioconductor.org/packages/glmGamPoi
git_branch: RELEASE_3_12
git_last_commit: a11d461
git_last_commit_date: 2020-10-27
Date/Publication: 2020-10-27
NeedsCompilation: yes
Packaged: 2020-10-28 00:33:35 UTC; biocbuild
Author: Constantin Ahlmann-Eltze [aut, cre]
    (<https://orcid.org/0000-0002-3762-068X>),
  Michael Love [ctb]
Maintainer: Constantin Ahlmann-Eltze <artjom31415@googlemail.com>

## r-bioc-glmgampoi 1.2.0+dfsg

=== debian/changelog ===
r-bioc-glmgampoi (1.2.0+dfsg-6) unstable; urgency=medium

  * Add patch to fix tests on i386/i686. Closes: #980223

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 28 Jan 2021 14:22:18 +0100

r-bioc-glmgampoi (1.2.0+dfsg-5) unstable; urgency=medium

  * Build for s390x, armel, and mips{64,}el as well, the tests pass there.
  * debian/tests/autopkgtest-pkg-r.conf: skip some tests if dependencies aren't
    available (like nodejs on armel).

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 17 Jan 2021 17:16:26 +0100

r-bioc-glmgampoi (1.2.0+dfsg-4) unstable; urgency=medium

  * debian/tests/autopkgtest-pkg-r.conf: add r-bioc-scran to the test depends

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 16 Jan 2021 14:40:40 +0100

r-bioc-glmgampoi (1.2.0+dfsg-3) unstable; urgency=medium

  * Restrict architectures to where the tests pass.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 16 Jan 2021 14:11:30 +0100

r-bioc-glmgampoi (1.2.0+dfsg-2) unstable; urgency=medium

  * Standards-Version: 4.5.1 (routine-update)
  * Test-Depends: r-bioc-deseq2, r-cran-zoo

 -- Andreas Tille <tille@debian.org>  Mon, 14 Dec 2020 11:59:33 +0100

r-bioc-glmgampoi (1.2.0+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Initial release (closes: #974999)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 17 Nov 2020 20:02:39 +0100

=== debian/control ===
Source: r-bioc-glmgampoi
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>,
           Michael R. Crusoe <crusoe@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-rcpp,
               r-bioc-delayedmatrixstats,
               r-cran-matrixstats,
               r-bioc-delayedarray,
               r-bioc-hdf5array,
               r-bioc-summarizedexperiment,
               r-cran-rcpparmadillo,
               r-bioc-beachmat
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-glmgampoi
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-glmgampoi.git
Homepage: https://bioconductor.org/packages/glmGamPoi/
Rules-Requires-Root: no

Package: r-bioc-glmgampoi
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R fit a Gamma-Poisson generalized linear model
 Fit linear models to overdispersed count data.
 The package can estimate the overdispersion and fit repeated models
 for matrix input. It is designed to handle large input datasets as they
 typically occur in single cell RNA-seq experiments.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-bioc-scran, r-bioc-deseq2, r-cran-zoo
Restrictions: allow-stderr

## r-bioc-glmgampoi 1.6.0+dfsg

=== DESCRIPTION ===
Package: glmGamPoi
Type: Package
Title: Fit a Gamma-Poisson Generalized Linear Model
Version: 1.6.0
Authors@R: c(person("Constantin", "Ahlmann-Eltze", email = "artjom31415@googlemail.com", 
                    role = c("aut", "cre"), comment = c(ORCID = "0000-0002-3762-068X")),
             person("Michael", "Love", email="michaelisaiahlove@gmail.com", role = "ctb"))
Description: Fit linear models to overdispersed count data.
     The package can estimate the overdispersion and fit repeated models
     for matrix input. It is designed to handle large input datasets as they
     typically occur in single cell RNA-seq experiments.
License: GPL-3
Encoding: UTF-8
SystemRequirements: C++11
Suggests: testthat (>= 2.1.0), zoo, DESeq2, edgeR, limma, beachmat,
        MASS, statmod, ggplot2, bench, BiocParallel, knitr, rmarkdown,
        BiocStyle, TENxPBMCData, muscData, scran
LinkingTo: Rcpp, RcppArmadillo, beachmat
Imports: Rcpp, DelayedMatrixStats, matrixStats, DelayedArray,
        HDF5Array, SummarizedExperiment, BiocGenerics, methods, stats,
        utils, splines
Roxygen: list(markdown = TRUE)
RoxygenNote: 7.1.1
URL: https://github.com/const-ae/glmGamPoi
BugReports: https://github.com/const-ae/glmGamPoi/issues
biocViews: Regression, RNASeq, Software, SingleCell
VignetteBuilder: knitr
git_url: https://git.bioconductor.org/packages/glmGamPoi
git_branch: RELEASE_3_14
git_last_commit: 03df1e1
git_last_commit_date: 2021-10-26
Date/Publication: 2021-10-26
NeedsCompilation: yes
Packaged: 2021-10-26 21:38:02 UTC; biocbuild
Author: Constantin Ahlmann-Eltze [aut, cre]
    (<https://orcid.org/0000-0002-3762-068X>),
  Michael Love [ctb]
Maintainer: Constantin Ahlmann-Eltze <artjom31415@googlemail.com>

=== debian/changelog ===
r-bioc-glmgampoi (1.6.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.6.0+dfsg

 -- Nilesh Patra <nilesh@debian.org>  Thu, 25 Nov 2021 16:42:51 +0530

r-bioc-glmgampoi (1.4.0+dfsg-1) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Provide autopkgtest-pkg-r.conf to make sure testthat will be found
  * Drop debian/tests/control and rely on autopkgtest-pkg-r

 -- Nilesh Patra <nilesh@debian.org>  Sat, 11 Sep 2021 21:22:28 +0530

=== debian/control ===
--- 
+++ 
@@ -14,9 +14,10 @@
                r-bioc-delayedarray,
                r-bioc-hdf5array,
                r-bioc-summarizedexperiment,
+               r-bioc-biocgenerics,
                r-cran-rcpparmadillo,
                r-bioc-beachmat
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-glmgampoi
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-glmgampoi.git
 Homepage: https://bioconductor.org/packages/glmGamPoi/

=== debian/watch ===
version=4
opts=repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz,downloadurlmangle=s?^(.*)\.\.?https://bioconductor.org/packages/release/bioc? \
https://bioconductor.org/packages/release/bioc/html/glmGamPoi.html .*/glmGamPoi_(.*).tar.gz

## r-bioc-glmgampoi 1.8.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: glmGamPoi
 Type: Package
 Title: Fit a Gamma-Poisson Generalized Linear Model
-Version: 1.6.0
+Version: 1.8.0
 Authors@R: c(person("Constantin", "Ahlmann-Eltze", email = "artjom31415@googlemail.com", 
                     role = c("aut", "cre"), comment = c(ORCID = "0000-0002-3762-068X")),
              person("Michael", "Love", email="michaelisaiahlove@gmail.com", role = "ctb"))
@@ -26,12 +26,12 @@
 biocViews: Regression, RNASeq, Software, SingleCell
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/glmGamPoi
-git_branch: RELEASE_3_14
-git_last_commit: 03df1e1
-git_last_commit_date: 2021-10-26
-Date/Publication: 2021-10-26
+git_branch: RELEASE_3_15
+git_last_commit: b723d61
+git_last_commit_date: 2022-04-26
+Date/Publication: 2022-04-26
 NeedsCompilation: yes
-Packaged: 2021-10-26 21:38:02 UTC; biocbuild
+Packaged: 2022-04-26 20:50:56 UTC; biocbuild
 Author: Constantin Ahlmann-Eltze [aut, cre]
     (<https://orcid.org/0000-0002-3762-068X>),
   Michael Love [ctb]

=== debian/changelog ===
r-bioc-glmgampoi (1.8.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 15 May 2022 18:43:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,14 @@
 Source: r-bioc-glmgampoi
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>,
            Michael R. Crusoe <crusoe@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-glmgampoi
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-glmgampoi.git
+Homepage: https://bioconductor.org/packages/glmGamPoi/
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -17,11 +21,7 @@
                r-bioc-biocgenerics,
                r-cran-rcpparmadillo,
                r-bioc-beachmat
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-glmgampoi
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-glmgampoi.git
-Homepage: https://bioconductor.org/packages/glmGamPoi/
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-glmgampoi
 Architecture: any

## r-bioc-glmgampoi 1.10.2+dfsg

=== DESCRIPTION ===
Package: glmGamPoi
Type: Package
Title: Fit a Gamma-Poisson Generalized Linear Model
Version: 1.10.2
Authors@R: c(person("Constantin", "Ahlmann-Eltze", email = "artjom31415@googlemail.com", 
                    role = c("aut", "cre"), comment = c(ORCID = "0000-0002-3762-068X")),
             person("Michael", "Love", email="michaelisaiahlove@gmail.com", role = "ctb"))
Description: Fit linear models to overdispersed count data.
     The package can estimate the overdispersion and fit repeated models
     for matrix input. It is designed to handle large input datasets as they
     typically occur in single cell RNA-seq experiments.
License: GPL-3
Encoding: UTF-8
SystemRequirements: C++11
Suggests: testthat (>= 2.1.0), zoo, DESeq2, edgeR, limma, beachmat,
        MASS, statmod, ggplot2, bench, BiocParallel, knitr, rmarkdown,
        BiocStyle, TENxPBMCData, muscData, scran, Matrix
LinkingTo: Rcpp, RcppArmadillo, beachmat
Imports: Rcpp, DelayedMatrixStats, matrixStats, MatrixGenerics,
        DelayedArray, HDF5Array, SummarizedExperiment,
        SingleCellExperiment, BiocGenerics, methods, stats, utils,
        splines, rlang
Roxygen: list(markdown = TRUE)
RoxygenNote: 7.1.2
URL: https://github.com/const-ae/glmGamPoi
BugReports: https://github.com/const-ae/glmGamPoi/issues
biocViews: Regression, RNASeq, Software, SingleCell
VignetteBuilder: knitr
git_url: https://git.bioconductor.org/packages/glmGamPoi
git_branch: RELEASE_3_16
git_last_commit: efcb989
git_last_commit_date: 2023-01-19
Date/Publication: 2023-01-19
NeedsCompilation: yes
Packaged: 2023-01-19 21:45:20 UTC; biocbuild
Author: Constantin Ahlmann-Eltze [aut, cre]
    (<https://orcid.org/0000-0002-3762-068X>),
  Michael Love [ctb]
Maintainer: Constantin Ahlmann-Eltze <artjom31415@googlemail.com>

=== debian/changelog ===
r-bioc-glmgampoi (1.10.2+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 21 Jan 2023 14:55:22 +0100

r-bioc-glmgampoi (1.10.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 19 Dec 2022 17:05:09 +0100

r-bioc-glmgampoi (1.10.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Reduce piuparts noise in transitions (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 21 Nov 2022 13:38:31 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-glmgampoi
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-glmgampoi.git
 Homepage: https://bioconductor.org/packages/glmGamPoi/
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
@@ -15,10 +15,13 @@
                r-cran-rcpp,
                r-bioc-delayedmatrixstats,
                r-cran-matrixstats,
+               r-bioc-matrixgenerics,
                r-bioc-delayedarray,
                r-bioc-hdf5array,
                r-bioc-summarizedexperiment,
+               r-bioc-singlecellexperiment,
                r-bioc-biocgenerics,
+               r-cran-rlang,
                r-cran-rcpparmadillo,
                r-bioc-beachmat
 Testsuite: autopkgtest-pkg-r

## r-bioc-glmgampoi 1.12.2+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: glmGamPoi
 Type: Package
 Title: Fit a Gamma-Poisson Generalized Linear Model
-Version: 1.10.2
+Version: 1.12.2
 Authors@R: c(person("Constantin", "Ahlmann-Eltze", email = "artjom31415@googlemail.com", 
                     role = c("aut", "cre"), comment = c(ORCID = "0000-0002-3762-068X")),
              person("Michael", "Love", email="michaelisaiahlove@gmail.com", role = "ctb"))
@@ -14,25 +14,25 @@
 SystemRequirements: C++11
 Suggests: testthat (>= 2.1.0), zoo, DESeq2, edgeR, limma, beachmat,
         MASS, statmod, ggplot2, bench, BiocParallel, knitr, rmarkdown,
-        BiocStyle, TENxPBMCData, muscData, scran, Matrix
+        BiocStyle, TENxPBMCData, muscData, scran, Matrix, dplyr
 LinkingTo: Rcpp, RcppArmadillo, beachmat
 Imports: Rcpp, DelayedMatrixStats, matrixStats, MatrixGenerics,
         DelayedArray, HDF5Array, SummarizedExperiment,
         SingleCellExperiment, BiocGenerics, methods, stats, utils,
-        splines, rlang
+        splines, rlang, vctrs
 Roxygen: list(markdown = TRUE)
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.3
 URL: https://github.com/const-ae/glmGamPoi
 BugReports: https://github.com/const-ae/glmGamPoi/issues
 biocViews: Regression, RNASeq, Software, SingleCell
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/glmGamPoi
-git_branch: RELEASE_3_16
-git_last_commit: efcb989
-git_last_commit_date: 2023-01-19
-Date/Publication: 2023-01-19
+git_branch: RELEASE_3_17
+git_last_commit: 8af1d76
+git_last_commit_date: 2023-07-02
+Date/Publication: 2023-07-02
 NeedsCompilation: yes
-Packaged: 2023-01-19 21:45:20 UTC; biocbuild
+Packaged: 2023-07-02 20:58:49 UTC; biocbuild
 Author: Constantin Ahlmann-Eltze [aut, cre]
     (<https://orcid.org/0000-0002-3762-068X>),
   Michael Love [ctb]

=== debian/changelog ===
r-bioc-glmgampoi (1.12.2+dfsg-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Lintian-overrides (See lintian bug #1017966)

 -- Andreas Tille <tille@debian.org>  Wed, 26 Jul 2023 22:27:16 +0200

## r-bioc-glmgampoi 1.14.3+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: glmGamPoi
 Type: Package
 Title: Fit a Gamma-Poisson Generalized Linear Model
-Version: 1.12.2
+Version: 1.14.3
 Authors@R: c(person("Constantin", "Ahlmann-Eltze", email = "artjom31415@googlemail.com", 
                     role = c("aut", "cre"), comment = c(ORCID = "0000-0002-3762-068X")),
              person("Michael", "Love", email="michaelisaiahlove@gmail.com", role = "ctb"))
@@ -27,12 +27,13 @@
 biocViews: Regression, RNASeq, Software, SingleCell
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/glmGamPoi
-git_branch: RELEASE_3_17
-git_last_commit: 8af1d76
-git_last_commit_date: 2023-07-02
-Date/Publication: 2023-07-02
+git_branch: RELEASE_3_18
+git_last_commit: 5fd20c7
+git_last_commit_date: 2024-02-10
+Repository: Bioconductor 3.18
+Date/Publication: 2024-02-11
 NeedsCompilation: yes
-Packaged: 2023-07-02 20:58:49 UTC; biocbuild
+Packaged: 2024-02-11 22:23:38 UTC; biocbuild
 Author: Constantin Ahlmann-Eltze [aut, cre]
     (<https://orcid.org/0000-0002-3762-068X>),
   Michael Love [ctb]

=== debian/changelog ===
r-bioc-glmgampoi (1.14.3+dfsg-1) unstable; urgency=medium

  * New upstream version
  Set upstream metadata fields: Archive.

 -- Andreas Tille <tille@debian.org>  Tue, 13 Feb 2024 13:39:29 +0100

r-bioc-glmgampoi (1.14.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2023 17:54:01 +0100

r-bioc-glmgampoi (1.12.2+dfsg-3) unstable; urgency=medium

  * Skip test for gigantic counts on i386

 -- Andreas Tille <tille@debian.org>  Mon, 09 Oct 2023 16:53:22 +0200

r-bioc-glmgampoi (1.12.2+dfsg-2) unstable; urgency=medium

  * Deactivate "extra_restrictions=skip-not-installable"

 -- Andreas Tille <tille@debian.org>  Mon, 21 Aug 2023 17:02:13 +0200

=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
                r-bioc-singlecellexperiment,
                r-bioc-biocgenerics,
                r-cran-rlang,
+               r-cran-vctrs,
                r-cran-rcpparmadillo,
                r-bioc-beachmat
 Testsuite: autopkgtest-pkg-r

## r-bioc-glmgampoi 1.16.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Package: glmGamPoi
 Type: Package
 Title: Fit a Gamma-Poisson Generalized Linear Model
-Version: 1.14.3
+Version: 1.16.0
 Authors@R: c(person("Constantin", "Ahlmann-Eltze", email = "artjom31415@googlemail.com", 
                     role = c("aut", "cre"), comment = c(ORCID = "0000-0002-3762-068X")),
+             person("Nathan", "Lubock", email="lubock.nathan@gmail.com", role = "ctb", 
+                    comment = c(ORCID = "0000-0001-8064-2465")),
              person("Michael", "Love", email="michaelisaiahlove@gmail.com", role = "ctb"))
 Description: Fit linear models to overdispersed count data.
      The package can estimate the overdispersion and fit repeated models
@@ -27,14 +29,15 @@
 biocViews: Regression, RNASeq, Software, SingleCell
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/glmGamPoi
-git_branch: RELEASE_3_18
-git_last_commit: 5fd20c7
-git_last_commit_date: 2024-02-10
-Repository: Bioconductor 3.18
-Date/Publication: 2024-02-11
+git_branch: RELEASE_3_19
+git_last_commit: 50d5e6f
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
 NeedsCompilation: yes
-Packaged: 2024-02-11 22:23:38 UTC; biocbuild
+Packaged: 2024-05-01 04:05:30 UTC; biocbuild
 Author: Constantin Ahlmann-Eltze [aut, cre]
     (<https://orcid.org/0000-0002-3762-068X>),
+  Nathan Lubock [ctb] (<https://orcid.org/0000-0001-8064-2465>),
   Michael Love [ctb]
 Maintainer: Constantin Ahlmann-Eltze <artjom31415@googlemail.com>

=== debian/changelog ===
r-bioc-glmgampoi (1.16.0+dfsg-1) unstable; urgency=medium

  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 18 Aug 2024 11:39:05 +0200

r-bioc-glmgampoi (1.16.0+dfsg-1~0exp1) experimental; urgency=medium

  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 31 Jul 2024 14:18:09 +0200

r-bioc-glmgampoi (1.16.0+dfsg-1~0exp) experimental; urgency=medium

  * New upstream version
  * d/control: Skip building on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 10 Jul 2024 01:34:01 +0200

=== debian/control ===
--- 
+++ 
@@ -13,27 +13,42 @@
                dh-r,
                r-base-dev,
                r-cran-rcpp,
-               r-bioc-delayedmatrixstats,
+               r-bioc-delayedmatrixstats (>= 1.26.0),
                r-cran-matrixstats,
-               r-bioc-matrixgenerics,
-               r-bioc-delayedarray,
-               r-bioc-hdf5array,
-               r-bioc-summarizedexperiment,
-               r-bioc-singlecellexperiment,
-               r-bioc-biocgenerics,
+               r-bioc-matrixgenerics (>= 1.16.0),
+               r-bioc-delayedarray (>= 0.30.1),
+               r-bioc-hdf5array (>= 1.32.0),
+               r-bioc-summarizedexperiment (>= 1.34.0),
+               r-bioc-singlecellexperiment (>= 1.26.0),
+               r-bioc-biocgenerics (>= 0.50.0),
                r-cran-rlang,
                r-cran-vctrs,
                r-cran-rcpparmadillo,
-               r-bioc-beachmat
+               r-bioc-beachmat (>= 2.20.0),
+               architecture-is-64-bit
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-glmgampoi
 Architecture: any
 Depends: ${R:Depends},
          ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-bioc-delayedmatrixstats (>= 1.26.0),
+         r-bioc-matrixgenerics (>= 1.16.0),
+         r-bioc-delayedarray (>= 0.30.1),
+         r-bioc-hdf5array (>= 1.32.0),
+         r-bioc-summarizedexperiment (>= 1.34.0),
+         r-bioc-singlecellexperiment (>= 1.26.0),
+         r-bioc-biocgenerics (>= 0.50.0),
+         r-bioc-beachmat (>= 2.20.0)
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Suggests: ${R:Suggests},
+          r-bioc-deseq2 (>= 1.44.0),
+          r-bioc-edger (>= 4.2.1),
+          r-bioc-limma (>= 3.60.4),
+          r-bioc-biocparallel (>= 1.38.0),
+          r-bioc-biocstyle (>= 2.32.1),
+          r-bioc-scran (>= 1.32.0)
 Description: GNU R fit a Gamma-Poisson generalized linear model
  Fit linear models to overdispersed count data.
  The package can estimate the overdispersion and fit repeated models

## r-bioc-glmgampoi 1.18.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: glmGamPoi
 Type: Package
 Title: Fit a Gamma-Poisson Generalized Linear Model
-Version: 1.16.0
+Version: 1.18.0
 Authors@R: c(person("Constantin", "Ahlmann-Eltze", email = "artjom31415@googlemail.com", 
                     role = c("aut", "cre"), comment = c(ORCID = "0000-0002-3762-068X")),
              person("Nathan", "Lubock", email="lubock.nathan@gmail.com", role = "ctb", 
@@ -19,23 +19,23 @@
         BiocStyle, TENxPBMCData, muscData, scran, Matrix, dplyr
 LinkingTo: Rcpp, RcppArmadillo, beachmat
 Imports: Rcpp, DelayedMatrixStats, matrixStats, MatrixGenerics,
-        DelayedArray, HDF5Array, SummarizedExperiment,
-        SingleCellExperiment, BiocGenerics, methods, stats, utils,
-        splines, rlang, vctrs
+        SparseArray (>= 1.5.21), DelayedArray, HDF5Array,
+        SummarizedExperiment, SingleCellExperiment, BiocGenerics,
+        methods, stats, utils, splines, rlang, vctrs
 Roxygen: list(markdown = TRUE)
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.1
 URL: https://github.com/const-ae/glmGamPoi
 BugReports: https://github.com/const-ae/glmGamPoi/issues
 biocViews: Regression, RNASeq, Software, SingleCell
 VignetteBuilder: knitr
 git_url: https://git.bioconductor.org/packages/glmGamPoi
-git_branch: RELEASE_3_19
-git_last_commit: 50d5e6f
-git_last_commit_date: 2024-04-30
-Repository: Bioconductor 3.19
-Date/Publication: 2024-04-30
+git_branch: RELEASE_3_20
+git_last_commit: cadcedb
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
 NeedsCompilation: yes
-Packaged: 2024-05-01 04:05:30 UTC; biocbuild
+Packaged: 2024-10-30 01:02:19 UTC; biocbuild
 Author: Constantin Ahlmann-Eltze [aut, cre]
     (<https://orcid.org/0000-0002-3762-068X>),
   Nathan Lubock [ctb] (<https://orcid.org/0000-0001-8064-2465>),

=== debian/changelog ===
r-bioc-glmgampoi (1.18.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 13 Jan 2025 14:51:17 +0100

r-bioc-glmgampoi (1.18.0+dfsg-1) experimental; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 29 Nov 2024 11:43:13 +0100

=== debian/control ===
Source: r-bioc-glmgampoi
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>,
           Michael R. Crusoe <crusoe@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-glmgampoi
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-glmgampoi.git
Homepage: https://bioconductor.org/packages/glmGamPoi/
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-rcpp,
               r-bioc-delayedmatrixstats,
               r-cran-matrixstats,
               r-bioc-matrixgenerics,
               r-bioc-sparsearray (>= 1.5.21),
               r-bioc-delayedarray,
               r-bioc-hdf5array,
               r-bioc-summarizedexperiment,
               r-bioc-singlecellexperiment,
               r-bioc-biocgenerics,
               r-cran-rlang,
               r-cran-vctrs,
               r-cran-rcpparmadillo,
               r-bioc-beachmat,
               architecture-is-64-bit
Testsuite: autopkgtest-pkg-r

Package: r-bioc-glmgampoi
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R fit a Gamma-Poisson generalized linear model
 Fit linear models to overdispersed count data.
 The package can estimate the overdispersion and fit repeated models
 for matrix input. It is designed to handle large input datasets as they
 typically occur in single cell RNA-seq experiments.
